package com.alibaba.druid.sql.dialect.mariadb.ast.clause;

import com.alibaba.druid.sql.ast.SQLStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbStatementImpl;
import com.alibaba.druid.sql.dialect.mariadb.visitor.MariadbASTVisitor;
import java.util.ArrayList;
import java.util.List;

public class MariadbDeclareHandlerStatement extends MariadbStatementImpl {
   private MariadbHandlerType handleType;
   private SQLStatement spStatement;
   private List<ConditionValue> conditionValues = new ArrayList();

   public List<ConditionValue> getConditionValues() {
      return this.conditionValues;
   }

   public void setConditionValues(List<ConditionValue> conditionValues) {
      this.conditionValues = conditionValues;
   }

   public MariadbHandlerType getHandleType() {
      return this.handleType;
   }

   public void setHandleType(MariadbHandlerType handleType) {
      this.handleType = handleType;
   }

   public SQLStatement getSpStatement() {
      return this.spStatement;
   }

   public void setSpStatement(SQLStatement spStatement) {
      this.spStatement = spStatement;
   }

   public void accept0(MariadbASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.spStatement);
      }

      visitor.endVisit(this);
   }
}
